import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
import { AccountPage } from '../account/account';

@Component({
  selector: 'page-accounts',
  templateUrl: 'accounts.html',
})
export class AccountsPage {

  public accounts =[
    {id: 1, name: 'Forex'},
    {id: 2, name: 'Kraken'},
    {id: 3, name: 'Robinhood'},
  
  ];

  constructor(public navCtrl: NavController, public navParams: NavParams) {
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad AccountsPage');
  }
  accountTapped($event, account){
    this.navCtrl.push(AccountPage, account);
  }
}
