import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
import { StrategyPage } from '../strategy/strategy';



@Component({
  selector: 'page-strategies',
  templateUrl: 'strategies.html',
})
export class StrategiesPage {

  public strategies =[
    {id: 1, name: 'Strategy 1'},
    {id: 2, name: 'Strategy 2'},
    {id: 3, name: 'Strategy 3'},
    {id: 4, name: 'Strategy 4'},

  ];

  constructor(public navCtrl: NavController, public navParams: NavParams) {
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad StrategiesPage');
  }

  strategyTapped($event, strategy){
    this.navCtrl.push(StrategyPage, strategy);
  }
}
